Bug Hunting Session
Bug 99205 - Changing measurement unit disables auto spellcheck
Summary: Changing measurement unit disables auto spellcheck
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking Measurement-Units
  Show dependency treegraph
 
Reported: 2016-04-10 19:39 UTC by Kruno
Modified: 2019-05-13 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kruno 2016-04-10 19:39:40 UTC
Misspell something in document, go Tools → Options → LibreOffice Writer → General and change measurement unit from whatever to whatever and spell checking will die and only way to get it working is by restarting LO.

Sometimes happen when switching UI language.

LO 5.1.2, on Debian Jessie.
Comment 1 Buovjaga 2016-04-24 16:54:25 UTC
Repro.

64-bit, KDE Plasma 5
Build ID: 5.1.2.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 QA Administrators 2017-05-22 13:22:15 UTC Comment hidden (obsolete)
Comment 3 Kruno 2017-05-23 13:10:11 UTC
Same behavior in 5.2.7.

Can't test with older or newer version at the moment but will in future.
Comment 4 Yousuf Philips (jay) (retired) 2017-07-24 15:21:33 UTC
(In reply to Kruno from comment #0)
> Misspell something in document, go Tools → Options → LibreOffice Writer →
> General and change measurement unit from whatever to whatever and spell
> checking will die and only way to get it working is by restarting LO.

Restarting of LO isnt required, simply re-enable Tools > Automatic Spell Checking.
Comment 5 Kruno 2018-05-12 08:31:36 UTC
Still present in LO 6.0.4.1 on Debian Buster (curr testing).
Comment 6 QA Administrators 2019-05-13 02:50:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug